Page MenuHomePhabricator

Update NavigationTiming to reflect when lazy loaded images in force
Closed, ResolvedPublic0.5 Story Points

Description

As a data analyst, I want NavigationTiming event logging to reflect when by MediaWiki server configuration lazy loaded images are in force.

Presently, NavigationTiming code looks for a cookie (related code: Navigation Timing extension, Varnish VCL for cache split), but when the configuration is not cookie driven (i.e., when the markup and JavaScript are on by default) I want to ensure that events in the event logging table are reflective of as much.

  • Update cookie to use mw.config (no changes in schema needed)

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
Resolveddr0ptp4kt
DuplicateJhernandez
Duplicatedr0ptp4kt
OpenNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson

Event Timeline

dr0ptp4kt created this task.May 9 2016, 3:22 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 9 2016, 3:22 PM
Jdlrobson updated the task description. (Show Details)May 9 2016, 4:35 PM
Jdlrobson set the point value for this task to 0.5.

Change 287671 had a related patch set uploaded (by Jdlrobson):
Use config variable rather than cookie

https://gerrit.wikimedia.org/r/287671

Change 287671 merged by jenkins-bot:
Use config variable rather than cookie

https://gerrit.wikimedia.org/r/287671

Change 288008 had a related patch set uploaded (by Jdlrobson):
Use config variable rather than cookie

https://gerrit.wikimedia.org/r/288008

Change 288008 abandoned by Jdlrobson:
Use config variable rather than cookie

Reason:
Ignore me

https://gerrit.wikimedia.org/r/288008

phuedx reassigned this task from Jdlrobson to dr0ptp4kt.May 12 2016, 9:06 AM
phuedx added a subscriber: Jdlrobson.
phuedx added a subscriber: phuedx.

Over to you @dr0ptp4kt.

Jdlrobson changed the task status from Open to Stalled.May 12 2016, 4:56 PM
Jdlrobson claimed this task.

I'd like to check this in production which is stalled on this patch making it to Bengali Wikipedia (on 17th)

Do you mean the 19th?

Jdlrobson closed this task as Resolved.May 17 2016, 6:48 PM

This is working. I see entries where the flag is 'A' for Bengali wiki stable and when not Bengali wiki beta (since all betas are opted in)